Subject: Re: [bug#59386] [PATCH staging 00/11] Update vulkan-sdk packages to sdk-1.3.231.1.

From: Marius Bakke <[email-masked]>
Date: Sun, 20 Nov 2022 09:06:04 +0100

dan <[email-masked]> skriver:

> Hello Guix,
>
> This patch series update several vulkan-sdk packages to the latest sdk release
> version sdk-1.3.231.1.  With each vulkan-sdk release, there is a config.json
> file detailing all the version of the included packages[1].  To make sure
> these packages are compatible, we introduced a variable %vulkan-sdk-version to
> replace the [version] field of each vulkan-sdk packages.  One exception is
> shaderc, which is developed by Google, and it uses its own versioning scheme.

Thanks for this explanation.

> For the versioning scheme of the vulkan-sdk, I intentionally included the
> 'sdk-' prefix into the version string since some of the packages used to have
> their own versioning semantic and later changed to this kind of 'unified' sdk
> versioning semantic, as Kaelyn explained in #58617[2].

Makes sense.  I'm partial to removing "sdk-" from %vulkan-sdk-version
and instead use (commit (string-append "sdk-" version)) in sources, but
no strong opinion.

(feedback from other contributors wanted!)

> Huge shout out to Kaelyn, who composed #57297 and #58617, trying to bring the
> latest version of vulkan-sdk to guix.  I see recently #57297 got merged into
> staging, and it would be a good chance to update these vulkan packages to
> match the latest version.

Great, thank you!  I've applied the patches up to and including 'volk'
with minor tweaks and will comment separately on the remaining patch +
changes done.

> [1]: https://sdk.lunarg.com/sdk/download/1.3.231.1/linux/config.json
> [2]: https://issues.guix.gnu.org/58617
>
> dan (11):
>   gnu: spirv-headers: Replace version with %vulkan-sdk-version.
>   gnu: spirv-tools: Replace version with %vulkan-sdk-version.
>   gnu: glslang: Update to sdk-1.3.231.1.
>   gnu: spirv-cross: Update to sdk-1.3.231.1.
>   gnu: shaderc: Update to 2022.3.
>   gnu: vulkan-headers: Update to sdk-1.3.231.1.
>   gnu: vulkan-loader: Update to sdk-1.3.231.1.
>   gnu: vulkan-tools: Update to sdk-1.3.231.1.
>   gnu: vulkan-validationlayers: Update to sdk-1.3.231.1.
>   gnu: Add volk.
>   gnu: Add vulkan-memory-allocator.
>
>  gnu/packages/vulkan.scm | 132 +++++++++++++++++++++++++++++-----------
>  1 file changed, 98 insertions(+), 34 deletions(-)
>
>
> base-commit: f8e1c9c003999cf20db2d7e5c1aa2c64c787056d
> -- 
> 2.38.1